# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1063.1.1 -> 1.1063.1.2
#	  drivers/acpi/osl.c	1.27    -> 1.28   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/08/06	m.c.p@wolk-project.de	1.1063.2.1
# [PATCH] Intel ICH5 PCI IDs
# 
#     [ The following text is in the "iso-8859-15" character set. ]
#     [ Your display is set for the "ISO-8859-1" character set.  ]
#     [ Some characters may be displayed incorrectly. ]
# 
# Hi Marcelo,
# 
# $subject says it all. It's also in 2.6-BK.
# 
# Patch from Jeff Garzik!
# 
# Reference:
# --------------------------------------------
# 03/08/06	bjorn.helgaas@hp.com	1.1063.1.2
# (acpi_os_install_interrupt_handler, acpi_os_remove_interrupt_handler):
# 	Use acpi_irq_to_vector() rather than gsi_to_vector().  The
# 	interrupt might be an ISA IRQ, not a GSI.
# --------------------------------------------
#
diff -Nru a/drivers/acpi/osl.c b/drivers/acpi/osl.c
--- a/drivers/acpi/osl.c	Wed Oct  8 09:06:00 2003
+++ b/drivers/acpi/osl.c	Wed Oct  8 09:06:00 2003
@@ -251,7 +251,12 @@
 	irq = acpi_fadt.sci_int;
 
 #ifdef CONFIG_IA64
-	irq = gsi_to_vector(irq);
+	irq = acpi_irq_to_vector(irq);
+	if (irq < 0) {
+		printk(KERN_ERR PREFIX "SCI (ACPI interrupt %d) not registerd\n",
+		       acpi_fadt.sci_int);
+		return AE_OK;
+	}
 #endif
 	acpi_irq_irq = irq;
 	acpi_irq_handler = handler;
@@ -269,7 +274,7 @@
 {
 	if (acpi_irq_handler) {
 #ifdef CONFIG_IA64
-		irq = gsi_to_vector(irq);
+		irq = acpi_irq_to_vector(irq);
 #endif
 		free_irq(irq, acpi_irq);
 		acpi_irq_handler = NULL;
